Subject: Re: bug#5221: 23.1; read_escape too greedy with "\x"

From: Andreas Schwab <[email-masked]>
Date: Thu, 17 Dec 2009 16:53:43 +0100

Łukasz Stelmach <[email-masked]> writes:

> Emacs (read_escape() function at lread.c file) interpretinterprets
> "\x3a480" string as "0x3a480" instead of ":" and "480" coming next.
> Some software (most? gnupg to name one) assume these escapes represent
> single bytes.

Then they are broken.  The syntax of strings is documented in
(elisp)String Type.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."